Subject: Re: bug#36017: 27.0.50; TLS 1.3 on macOS exhibits similar issue to #34341

From: Robert Pluim <[email-masked]>
Date: Mon, 03 Jun 2019 12:05:41 +0200

>>>>> On Mon, 3 Jun 2019 02:53:06 -0700, Aaron Jensen <[email-masked]> said:

    Aaron> On Mon, Jun 3, 2019 at 2:11 AM Robert Pluim <[email-masked]> wrote:
    >> I have the same versions of libgnutls and macOS, and I donʼt see
    >> this (but I donʼt use ghub). Can you try (from emacs -Q)
    >> 
    >> M-x eww RET www.gmail.com
    >> 
    >> That fails for me with e87e6a24c49542111e669b7d0f1a412024663f8e
    >> reverted, and works with the latest emacs master.

    Aaron> This works for me. I only get the error while creating a pull request,
    Aaron> so perhaps it is limited to POST requests?

    Aaron> Try this in emacs -Q:

    Aaron> (let (
    Aaron>       ;; (gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")
    Aaron>       (url-request-method "POST")
    Aaron>       (url-request-data "{}")
    Aaron>       (url-request-extra-headers '(("Authorization" . "token XXX")
    Aaron>                                    ("Content-Type" . "application/json"))))
    Aaron>   (switch-to-buffer
    Aaron>    (url-retrieve
    Aaron>     "https://api.github.com/repos/facebook/react/pulls"
    Aaron>     (lambda (status)
    Aaron>       (error "Staus: %S" status)))))

    Aaron> For me, I get a blank buffer and then a connection error.

    Aaron> If I uncomment the gnutls-algorithm-priority, it works as expected (it
    Aaron> should 401 because of the invalid token). Like the other bug, once the
    Aaron> connection is established once, setting gnutls-algorithm-priority or
    Aaron> not makes no difference.

And that recipe works fine for me. Iʼll have to try again later today
when I can use a different network that I have more control over.

One last thought: are you connecting over IPv4 or IPv6? (Iʼm currently
on an IPv4 only network)

Robert